import { NamespaceBuilder } from "@rdfjs/namespace";
import { NamedNode } from "@rdfjs/types";
export interface M4i {
    '': NamedNode<'http://w3id.org/nfdi4ing/metadata4ing#'>;
    "ContactPerson": NamedNode<'http://w3id.org/nfdi4ing/metadata4ing#ContactPerson'>;
    "DataCollector": NamedNode<'http://w3id.org/nfdi4ing/metadata4ing#DataCollector'>;
    "DataCurator": NamedNode<'http://w3id.org/nfdi4ing/metadata4ing#DataCurator'>;
    "DataManager": NamedNode<'http://w3id.org/nfdi4ing/metadata4ing#DataManager'>;
    "Distributor": NamedNode<'http://w3id.org/nfdi4ing/metadata4ing#Distributor'>;
    "Editor": NamedNode<'http://w3id.org/nfdi4ing/metadata4ing#Editor'>;
    "endOfProject": NamedNode<'http://w3id.org/nfdi4ing/metadata4ing#endOfProject'>;
    /** redundant information: applicable unit can be deduced from quantity kind. If one wants to enforce the use of a specific unit, use a SHACL constraint. */
    "hasAdmissibleUnit": NamedNode<'http://w3id.org/nfdi4ing/metadata4ing#hasAdmissibleUnit'>;
    "hasAdmissibleValue": NamedNode<'http://w3id.org/nfdi4ing/metadata4ing#hasAdmissibleValue'>;
    "hasAssignedValue": NamedNode<'http://w3id.org/nfdi4ing/metadata4ing#hasAssignedValue'>;
    "hasAssignmentTimestamp": NamedNode<'http://w3id.org/nfdi4ing/metadata4ing#hasAssignmentTimestamp'>;
    "hasCoverageInterval": NamedNode<'http://w3id.org/nfdi4ing/metadata4ing#hasCoverageInterval'>;
    "hasDateAssignmentCreated": NamedNode<'http://w3id.org/nfdi4ing/metadata4ing#hasDateAssignmentCreated'>;
    "hasDateAssignmentDeleted": NamedNode<'http://w3id.org/nfdi4ing/metadata4ing#hasDateAssignmentDeleted'>;
    "hasDateAssignmentModified": NamedNode<'http://w3id.org/nfdi4ing/metadata4ing#hasDateAssignmentModified'>;
    "hasDateAssignmentValidFrom": NamedNode<'http://w3id.org/nfdi4ing/metadata4ing#hasDateAssignmentValidFrom'>;
    "hasDateAssignmentValidUntil": NamedNode<'http://w3id.org/nfdi4ing/metadata4ing#hasDateAssignmentValidUntil'>;
    "hasEmployedTool": NamedNode<'http://w3id.org/nfdi4ing/metadata4ing#hasEmployedTool'>;
    "hasExpandedUnc": NamedNode<'http://w3id.org/nfdi4ing/metadata4ing#hasExpandedUnc'>;
    "hasKindOfQuantity": NamedNode<'http://w3id.org/nfdi4ing/metadata4ing#hasKindOfQuantity'>;
    "hasMaximumValue": NamedNode<'http://w3id.org/nfdi4ing/metadata4ing#hasMaximumValue'>;
    "hasMinimumValue": NamedNode<'http://w3id.org/nfdi4ing/metadata4ing#hasMinimumValue'>;
    "hasNumericalValue": NamedNode<'http://w3id.org/nfdi4ing/metadata4ing#hasNumericalValue'>;
    "hasParameter": NamedNode<'http://w3id.org/nfdi4ing/metadata4ing#hasParameter'>;
    "hasRorId": NamedNode<'http://w3id.org/nfdi4ing/metadata4ing#hasRorId'>;
    "hasRuntimeAssignment": NamedNode<'http://w3id.org/nfdi4ing/metadata4ing#hasRuntimeAssignment'>;
    "hasStepSize": NamedNode<'http://w3id.org/nfdi4ing/metadata4ing#hasStepSize'>;
    "hasStringValue": NamedNode<'http://w3id.org/nfdi4ing/metadata4ing#hasStringValue'>;
    "hasSymbol": NamedNode<'http://w3id.org/nfdi4ing/metadata4ing#hasSymbol'>;
    "hasUncertaintyDeclaration": NamedNode<'http://w3id.org/nfdi4ing/metadata4ing#hasUncertaintyDeclaration'>;
    "hasUnit": NamedNode<'http://w3id.org/nfdi4ing/metadata4ing#hasUnit'>;
    "hasValue": NamedNode<'http://w3id.org/nfdi4ing/metadata4ing#hasValue'>;
    "hasVariable": NamedNode<'http://w3id.org/nfdi4ing/metadata4ing#hasVariable'>;
    "hasVariableDescription": NamedNode<'http://w3id.org/nfdi4ing/metadata4ing#hasVariableDescription'>;
    "HostingInstitution": NamedNode<'http://w3id.org/nfdi4ing/metadata4ing#HostingInstitution'>;
    "identifier": NamedNode<'http://w3id.org/nfdi4ing/metadata4ing#identifier'>;
    "implementedByTool": NamedNode<'http://w3id.org/nfdi4ing/metadata4ing#implementedByTool'>;
    "implementsMethod": NamedNode<'http://w3id.org/nfdi4ing/metadata4ing#implementsMethod'>;
    "inProject": NamedNode<'http://w3id.org/nfdi4ing/metadata4ing#inProject'>;
    "investigates": NamedNode<'http://w3id.org/nfdi4ing/metadata4ing#investigates'>;
    "investigatesProperty": NamedNode<'http://w3id.org/nfdi4ing/metadata4ing#investigatesProperty'>;
    "isEmployedToolIn": NamedNode<'http://w3id.org/nfdi4ing/metadata4ing#isEmployedToolIn'>;
    "Method": NamedNode<'http://w3id.org/nfdi4ing/metadata4ing#Method'>;
    "NumericalAssignment": NamedNode<'http://w3id.org/nfdi4ing/metadata4ing#NumericalAssignment'>;
    "NumericalVariable": NamedNode<'http://w3id.org/nfdi4ing/metadata4ing#NumericalVariable'>;
    "orcidId": NamedNode<'http://w3id.org/nfdi4ing/metadata4ing#orcidId'>;
    "Other": NamedNode<'http://w3id.org/nfdi4ing/metadata4ing#Other'>;
    "ProcessingStep": NamedNode<'http://w3id.org/nfdi4ing/metadata4ing#ProcessingStep'>;
    "Producer": NamedNode<'http://w3id.org/nfdi4ing/metadata4ing#Producer'>;
    "ProjectLeader": NamedNode<'http://w3id.org/nfdi4ing/metadata4ing#ProjectLeader'>;
    "ProjectManager": NamedNode<'http://w3id.org/nfdi4ing/metadata4ing#ProjectManager'>;
    "ProjectMember": NamedNode<'http://w3id.org/nfdi4ing/metadata4ing#ProjectMember'>;
    "projectParticipant": NamedNode<'http://w3id.org/nfdi4ing/metadata4ing#projectParticipant'>;
    "projectReferenceID": NamedNode<'http://w3id.org/nfdi4ing/metadata4ing#projectReferenceID'>;
    "realizesMethod": NamedNode<'http://w3id.org/nfdi4ing/metadata4ing#realizesMethod'>;
    "RegistrationAgency": NamedNode<'http://w3id.org/nfdi4ing/metadata4ing#RegistrationAgency'>;
    "RegistrationAuthority": NamedNode<'http://w3id.org/nfdi4ing/metadata4ing#RegistrationAuthority'>;
    "RelatedPerson": NamedNode<'http://w3id.org/nfdi4ing/metadata4ing#RelatedPerson'>;
    "representsVariable": NamedNode<'http://w3id.org/nfdi4ing/metadata4ing#representsVariable'>;
    "Researcher": NamedNode<'http://w3id.org/nfdi4ing/metadata4ing#Researcher'>;
    "ResearchGroup": NamedNode<'http://w3id.org/nfdi4ing/metadata4ing#ResearchGroup'>;
    "RightsHolder": NamedNode<'http://w3id.org/nfdi4ing/metadata4ing#RightsHolder'>;
    "Sponsor": NamedNode<'http://w3id.org/nfdi4ing/metadata4ing#Sponsor'>;
    "startOfProject": NamedNode<'http://w3id.org/nfdi4ing/metadata4ing#startOfProject'>;
    "Supervisor": NamedNode<'http://w3id.org/nfdi4ing/metadata4ing#Supervisor'>;
    "TextVariable": NamedNode<'http://w3id.org/nfdi4ing/metadata4ing#TextVariable'>;
    "Tool": NamedNode<'http://w3id.org/nfdi4ing/metadata4ing#Tool'>;
    "UncertaintyDeclaration": NamedNode<'http://w3id.org/nfdi4ing/metadata4ing#UncertaintyDeclaration'>;
    "UsageInstruction": NamedNode<'http://w3id.org/nfdi4ing/metadata4ing#UsageInstruction'>;
    "Variable": NamedNode<'http://w3id.org/nfdi4ing/metadata4ing#Variable'>;
    "WorkPackageLeader": NamedNode<'http://w3id.org/nfdi4ing/metadata4ing#WorkPackageLeader'>;
}
export declare const strict: NamespaceBuilder<keyof M4i> & M4i;
export declare const loose: NamespaceBuilder & M4i;
//# sourceMappingURL=m4i.d.ts.map